"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientSessionExpiredError = void 0;
const internal_1 = require("@fluidframework/container-definitions/internal");
const internal_2 = require("@fluidframework/telemetry-utils/internal");
/**
 * Error indicating that a client's session has reached its time limit and is closed.
 */
class ClientSessionExpiredError extends internal_2.LoggingError {
    constructor(message, expiryMs) {
        super(message, { timeoutMs: expiryMs });
        this.expiryMs = expiryMs;
        this.errorType = internal_1.ContainerErrorTypes.clientSessionExpiredError;
    }
}
exports.ClientSessionExpiredError = ClientSessionExpiredError;
//# sourceMappingURL=error.js.map